package org.mynonglam.entitys;

import java.io.Serializable;
import javax.persistence.*;


/**
 * The persistent class for the phone database table.
 * 
 */
@Entity
public class Phone implements Serializable {
	private static final long serialVersionUID = 1L;

	@Id
	private String idphone;

	private String number;

	//bi-directional many-to-one association to Account
	@ManyToOne
	@JoinColumn(name="email")
	private Account account;

	public Phone() {
	}

	public String getIdphone() {
		return this.idphone;
	}

	public void setIdphone(String idphone) {
		this.idphone = idphone;
	}

	public String getNumber() {
		return this.number;
	}

	public void setNumber(String number) {
		this.number = number;
	}

	public Account getAccount() {
		return this.account;
	}

	public void setAccount(Account account) {
		this.account = account;
	}

}